<?php
// Adding rewrite rule for caching
function lulalivre_cache_rewrite() {
    add_rewrite_rule('^art/([0-9]+)', 'wp-admin/admin-ajax.php?action=lulalivre_fetchart&id=$1', 'top');
    add_rewrite_rule('^form-cadastro', 'wp-admin/admin-ajax.php?action=lulalivre_formcadastro', 'top');
}
add_action('init', 'lulalivre_cache_rewrite');

add_action( 'wp_ajax_lulalivre_fetchart', 'lulalivre_fetchart' );
add_action( 'wp_ajax_nopriv_lulalivre_fetchart', 'lulalivre_fetchart' );

add_action( 'wp_ajax_lulalivre_formcadastro', 'lulalivre_formcadastro' );
add_action( 'wp_ajax_nopriv_lulalivre_formcadastro', 'lulalivre_formcadastro' );


function lulalivre_fetchart(){
    global $post;
    
    $id = $_GET['id'];
    $post = get_post($id);
    setup_postdata($post);
    echo '<h3 class="section-title">'.get_the_title().'</h3>';
    the_content();    
    exit;
}



function lulalivre_formcadastro(){

    if(!class_exists('ReCaptchaResponse')){
        require_once (__DIR__.'/pagebuilder-widgets/form-cadastro/recaptchalib.php');
    }

    $secret = "6LcLUaIUAAAAAKJcKzA3SvQiVfmNqB9eDR0N62oS";
    $response = null;
    $reCaptcha = new \ReCaptcha($secret);
    $capcha_response = @$_POST["g-recaptcha-response"];

    $response = $reCaptcha->verifyResponse(
        isset($_SERVER['HTTP_X_REAL_IP']) ? $_SERVER['HTTP_X_REAL_IP'] : $_SERVER['REMOTE_ADDR'],
        $capcha_response
    );

    if(!$response || !$response->success){
        wp_send_json_error('{"success":false,"data":{"hide":0,"error":1,"response":"Error: Captcha inválido."}}');
        exit;
    }


    $post_data = array(
        'post_title' => $_POST['NAME'],
        'post_status' => 'draft',
        'post_type' => 'cadastros',
        'meta_input' => [   
            'WHATSAPP' => $_POST['WHATSAPP'],
            'EMAIL' => $_POST['EMAIL'],
            'PESSOA' => explode(',', $_POST['PESSOA']),
            'ESTADO' => $_POST['ESTADO'],
            'CIDADE' => $_POST['CIDADE'],
            'CEP' => $_POST['CEP'],
            'ENDERECO' => $_POST['ENDERECO'],
            'LATITUDE' => $_POST['LATITUDE'],
            'LONGITUDE' => $_POST['LONGITUDE'],
        ]
    );

    $post_id = wp_insert_post($post_data);
    echo '{"success" : "true", "data" : "'.$post_id.'" }';
    
    wp_die();
}