<?php
define('WIDGETGROUP_MAIN', 'Lula Livre');
define('WIDGETGROUP_FORMS', 'Lula Livre - formulários');
define('WIDGETGROUP_CARDS', 'Lula Livre - cards');
define('WIDGETGROUP_BANNERS', 'Lula Livre - banners');
define('WIDGETGROUP_SLIDERS', 'Lula Livre - sliders');

add_filter('siteorigin_panels_widget_dialog_tabs', function ($tabs) {

    $tabs[] = array(
        'title' => WIDGETGROUP_MAIN,
        'filter' => [
            'groups' => [ WIDGETGROUP_MAIN ]
        ]
    );
    $tabs[] = array(
        'title' => WIDGETGROUP_FORMS,
        'filter' => [
            'groups' => [ WIDGETGROUP_FORMS ]
        ]
    );
    $tabs[] = array(
        'title' => WIDGETGROUP_CARDS,
        'filter' => [
            'groups' => [ WIDGETGROUP_CARDS ]
        ]
    );
    $tabs[] = array(
        'title' => WIDGETGROUP_BANNERS,
        'filter' => [
            'groups' => [ WIDGETGROUP_BANNERS ]
        ]
    );
    $tabs[] = array(
        'title' => WIDGETGROUP_SLIDERS,
        'filter' => [
            'groups' => [ WIDGETGROUP_SLIDERS ]
        ]
    );

    return $tabs;
}, 20);


/** Add SiteOrigin Page Builder custom fields class prefixes */
add_filter('siteorigin_widgets_field_class_prefixes', function($class_prefixes) {
    $class_prefixes[] = 'LULA_';
    return $class_prefixes;
});

/** Add SiteOrigin Page Builder custom fields */
add_filter('siteorigin_widgets_field_class_paths', function($class_paths) {
    $class_paths[] = get_template_directory() . '/library/pagebuilder-custom-fields/';
    return $class_paths;
});

/** Add SiteOrigin Page Builder custom widgets */
add_filter('siteorigin_widgets_widget_folders', function($folders) {
    $folders[] = get_template_directory() . '/library/pagebuilder-widgets/';
    return $folders;
});
