<?php
$embed_url = wp_oembed_get(esc_url(get_post_meta(get_the_ID(), 'post_video', true )));
?>
<div class="featured-card <?= (has_post_thumbnail() ? 'has-image ' : ' ') . (!empty($embed_url) ? 'has-embed' : '') ?>">
    
    <div class="featured-card--infos">
        <small class="featured-card--category"><?php the_category(', ') ?>  //  <?php the_time('d.m.Y') ?>  //  por <?php the_meta_author() ?></small>
        <a href="<?php the_permalink() ?>">
            <h2 class="featured-card--title"><?php the_title() ?></h2>
            <div class="featured-card--excerpt"><?php the_excerpt() ?></div>
        </a>

        <a href="<?php the_permalink() ?>" class="button outline">Leia na Íntegra</a>
    </div>

    <div class="featured-card--image">
        <?php if(!empty($embed_url)): ?>
            <div class="iframe-wrapper">
                <?= $embed_url ?>
            </div>
            <i class="fa fa-play-circle play-button"></i>
        <?php endif; ?>
        <img src="<?= images\url('full'); ?>" alt="">
    </div>

</div>